Subject: bug#56171: Request for marking DEF entry when using completing-read

From: Drew Adams <[email-masked]>
Date: Fri, 24 Jun 2022 16:14:49 +0000

> > It is a different thing than that.  I customarily using the `up' and
> > `down' key to move through the collection of entries.  Could there be
> > some form of indicator (e.g. highlight, underline, some other means)
> > that will tell me that is was selected as the default by the package
> > designer?  Currently I see no distinction, with all entries in
> > collection as just an entry like any other.
> 
> Again, what's the use case?  Why do you want the default to be singled
> out in some way?

I'm curious too.  I don't say it couldn't be useful,
but I wonder what the aim is.
___

BTW, note that the default value (or even any of a
list of default values) provided need not be among
the candidates for completion, if completion is lax
(REQUIRE-MATCH = nil).  E.g.:

(completing-read "q: " '("a" "b" "c" "d")
                 nil nil nil nil "e")